# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXImportNetCDF

Function

Imports data from a netCDF file.

Syntax
`
#include <dx/dx.h>
`

Object DXImportNetCDF(char *filename, char **variable, int *start,
int *end, int *delta)

Functional Details

The routine creates a new Field or Group Object to hold the data that are to be imported. The `filename` parameter is the name of a data file in netCDF format. The `variable` parameter specifies a `NULL`-terminated list of strings that identify the variables to be imported. If more than one is specified, the Objects are collected together and a Group is returned.

For Series data, `*start`, `*end`, and `*delta` are used to control which indexed Series members are read in. If `start` is `NULL`, it defaults to the beginning of the series; if `end` is `NULL`, it defaults to the end of the series; if `delta` is `NULL`, it defaults to 1 (one).

For additional information on the Data Explorer requirements and conventions for the netCDF file, see Appendix B. "Importing Data: File Formats" in IBM Visualization Data Explorer User's Guide.

Return Value

Returns a pointer to the Object or returns `NULL` and sets an error code.

See Also

`DXImportDX, DXImportHDF, DXImportHDF, DXImportCM, DXImportCDF`

"netCDF Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]